local UPDATEPERIOD, elapsed = 5, 0
local pName = "zBrokerClock"
local f = CreateFrame("frame")
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local dataobj = ldb:NewDataObject(pName, {
  type = "data source",
  text = "00:00",
})

-- Set this to false if you want zBrokerClock to show 12 hour format
local twentyfour = true

f:SetScript("OnUpdate", function(self, elap)
  elapsed = elapsed + elap
  if elapsed < UPDATEPERIOD then return end
  elapsed = 0
  
  local hour = tonumber(date("%H"))
	local minute = tonumber(date("%M"))
  minute = floor(minute / 10) == 0 and "0" .. minute or minute
  
  local timetext = ""
  if twentyfour == true then
    timetext = tostring(hour .. ":" .. minute)
  else
    local ampm = (floor(hour / 12) == 1) and "pm" or "am"
    
    hour = mod(hour, 12)
    if hour == 0 then
      hour = 12
    end
    
    
    timetext = tostring(hour .. ":" .. minute .. " " .. ampm)
  end
  
  dataobj.text = format("%s", timetext)
end)
